API ReferenceapicommerceGET /v1/brands/{slug}

GET /v1/brands/\{slug\}

Service: commerce · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • slug (string) required

Responses

200 Brand details

{
  "type": "object",
  "properties": {
    "slug": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "teaser_image_url": {
      "type": [
        "string",
        "null"
      ]
    },
    "sort_order": {
      "type": "number"
    },
    "product_count": {
      "type": "number"
    },
    "coming_soon": {
      "type": "boolean"
    },
    "created_at": {
      "type": "string"
    },
    "updated_at": {
      "type": "string"
    },
    "products": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "slug": {
            "type": [
              "string",
              "null"
            ]
          },
          "brand_slug": {
            "type": [
              "string",
              "null"
            ]
          },
          "name": {
            "type": "string"
          },
          "sku": {
            "type": [
              "string",
              "null"
            ]
          },
          "price_cents": {
            "type": "string"
          },
          "currency": {
            "type": "string"
          },
          "description": {
            "type": [
              "string",
              "null"
            ]
          },
          "status": {
            "type": "string"
          },
          "inventory_level": {
            "type": "number"
          },
          "created_at": {
            "type": "string"
          },
          "updated_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "slug",
          "brand_slug",
          "name",
          "sku",
          "price_cents",
          "currency",
          "description",
          "status",
          "inventory_level",
          "created_at",
          "updated_at"
        ]
      }
    }
  },
  "required": [
    "slug",
    "name",
    "teaser_image_url",
    "sort_order",
    "product_count",
    "coming_soon",
    "created_at",
    "updated_at",
    "products"
  ]
}

404 Brand not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Internal error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://commerce.platform.loop.health/v1/brands/{slug} \
  -H "Authorization: Bearer $ACCESS_TOKEN"